<template>
  <div id="canvasElement" :width="width" :height="height" style="height:100px;">
  </div>
</template>

<script>
import {Grid, AppContext} from '@/utils'

export default {
  name: 'Canvas',
  props: {
    elementId: String,
    parentId: String,
    height: String,
    width: String,
  },
  created() {
    AppContext.grid = new Grid(this.elementId, this.parentId)
  }
}
</script>

<style scoped>

</style>
